Compare commits

...
Sign in to create a new pull request.

187 commits

Author SHA1 Message Date
Jerry James
27d75aee6d Fix a changelog entry 2026-01-12 15:56:46 -07:00
Mamoru TASAKA
7adc61bd28 Change irb BR for ruby4.0 2026-01-08 23:14:08 +09:00
Mamoru TASAKA
895518e9b7 Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_4.0 2026-01-08 23:04:30 +09:00
Richard W.M. Jones
8c9c012302 New upstream development version 1.58.0
Require libvirt >= 11.10.0, qemu >= 7.2.0 and passt.
2026-01-05 16:19:50 +00:00
Richard W.M. Jones
bba1b606ea Fix double-% in macro 2026-01-05 15:48:16 +00:00
Tom spot Callaway
12272cf017 rebuild for new libconfig 2025-12-17 13:40:57 -05:00
Richard W.M. Jones
3ac14b503c New upstream development version 1.57.7 2025-12-04 17:00:02 +00:00
Richard W.M. Jones
e7046fe55b New upstream development version 1.57.6 2025-11-04 16:23:38 +00:00
Richard W.M. Jones
1084cf6b17 New upstream development version 1.57.5
Test direct backend in %check
2025-10-17 11:07:52 +01:00
Richard W.M. Jones
737237a79e Test the direct backend in %check 2025-10-17 10:11:35 +01:00
Richard W.M. Jones
1edc00676a Require passt
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/YDHKKQSDURTMSKSN6GW3QGQI43DTFXNH/
2025-10-15 12:04:09 +01:00
Remi Collet
90bb4d2baf rebuild for https://fedoraproject.org/wiki/Changes/php85 2025-10-15 08:32:40 +02:00
Richard W.M. Jones
877a247a54 OCaml 5.4.0 rebuild 2025-10-13 19:38:00 +01:00
Richard W.M. Jones
9cb066543f New upstream development version 1.57.4 2025-09-30 10:29:37 +01:00
Richard W.M. Jones
10655b63e0 Enable aarch64 tests
The libvirt bug is now fixed.

Thanks: Cole Robinson
2025-09-30 09:49:57 +01:00
Yaakov Selkowitz
af1ea247c4 Fix bash-completion conditional
ELN (the future RHEL 11) tracks rawhide and therefore also has
bash-completion-devel and the %bash_completions_dir macro.
2025-09-25 01:44:24 +00:00
Python Maint
83dda87efe Rebuilt for Python 3.14.0rc3 bytecode 2025-09-19 12:26:34 +02:00
Richard W.M. Jones
6fa34707b2 New upstream development version 1.57.3 2025-09-09 19:17:48 +01:00
Richard W.M. Jones
82cadaec7f Unify Fedora and RHEL 10.2 spec files 2025-08-29 13:05:06 +01:00
Python Maint
9eeb0986a8 Rebuilt for Python 3.14.0rc2 bytecode 2025-08-15 12:55:58 +02:00
Richard W.M. Jones
c5c2923895 New upstream development version 1.57.2 2025-08-15 10:58:57 +01:00
Richard W.M. Jones
ad9f3a5f15 New upstream development version 1.57.1 2025-08-13 17:12:57 +01:00
Fedora Release Engineering
e602e8ba97 Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild 2025-07-24 19:46:01 +00:00
Jerry James
17b450096e Rebuild to fix OCaml dependencies 2025-07-12 13:13:15 -06:00
Jitka Plesnikova
712bdd9c94 Perl 5.42 rebuild 2025-07-07 16:01:36 +02:00
Richard W.M. Jones
5bc9c98e58 Forgot to upload sources 2025-06-16 16:59:45 +01:00
Richard W.M. Jones
091dfaf12e New upstream stable version 1.56.1
Remove upstream ACPI / seabios fixes included in this version.
2025-06-16 16:58:15 +01:00
Richard W.M. Jones
aa5924b4a3 Further upstream patch for ACPI
https://bugzilla.redhat.com/show_bug.cgi?id=2372329
2025-06-12 08:14:17 +01:00
Richard W.M. Jones
c399a6571d Add upstream patch to fix ACPI 2025-06-11 22:55:44 +01:00
Richard W.M. Jones
6a0f5623dc New upstream stable version 1.56.0
Remove BR xz-devel as it is not needed.
2025-06-11 15:04:21 +01:00
Python Maint
a92e54d898 Rebuilt for Python 3.14 2025-06-06 09:30:51 +02:00
Richard W.M. Jones
de1ecfc738 New upstream development version 1.55.14 2025-06-03 16:35:34 +01:00
Python Maint
0209f60e48 Rebuilt for Python 3.14 2025-06-03 00:20:10 +02:00
Richard W.M. Jones
f00974982e New upstream development version 1.55.13 2025-05-20 14:57:07 +01:00
Richard W.M. Jones
383ca87990 Add temporary workaround for gettext bug:
https://bugzilla.redhat.com/show_bug.cgi?id=2366708
2025-05-19 16:19:17 +01:00
Richard W.M. Jones
698d9ad820 Remove patch that is now upstream 2025-05-19 15:02:45 +01:00
Richard W.M. Jones
1317c346ab New upstream development version 1.55.12 2025-05-19 14:59:53 +01:00
Richard W.M. Jones
0893711f75 Backport upstream patch to really remove zfs-fuse dependency 2025-05-09 15:54:59 +01:00
Richard W.M. Jones
bc325acc76 New upstream development version 1.55.11 2025-05-09 15:46:34 +01:00
Richard W.M. Jones
958e08bd81 Remove libguestfs-zfs subpackage
zfs-fuse has been unmaintained for a very long time.  In fact, the
website has gone.

https://bugzilla.redhat.com/show_bug.cgi?id=2214965
2025-05-07 21:22:28 +01:00
Richard W.M. Jones
797a521575 Remove file-devel BR
This is no longer needed because of:

  commit 2b2be31af09694761c3657d0f7d9299ed722b914
  Author: Richard W.M. Jones <rjones@redhat.com>
  Date:   Tue Apr 22 11:59:25 2025 +0100

    build: Remove test for libmagic

    libmagic (part of the "file" command) was required in earlier versions
    of libguestfs, but this requirement was effectively removed in
    commit b48da89dd6 ("daemon: Reimplement ‘file_architecture’ API in
    OCaml") back in 2017.  Or to be more precise, we now use the "file"
    command inside the daemon, which may or may not use libmagic but we
    no longer link to the library directly.

    Reported-by: Mohamed Akram
    Fixes: commit b48da89dd6edce325f4c1f2956435c4d383ebe77
    Related: https://github.com/libguestfs/libguestfs/issues/184
2025-04-26 13:18:45 +01:00
Richard W.M. Jones
d165325dd3 New upstream development version 1.55.10
Fix macro in comment
2025-04-26 13:16:13 +01:00
Richard W.M. Jones
a1eed9c04c Fix RHEL gating tests
These would always fail because libvirt doesn't start up after being
installed.  You would see errors like:

  libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
  libvirt: XML-RPC error : Failed to connect socket to '/var/run/libvirt/virtqemud-sock': No such file or directory
  libguestfs: error: could not connect to libvirt (URI = qemu:///system): Failed to connect socket to '/var/run/libvirt/virtqemud-sock': No such file or directory [code=38 int1=2]
2025-04-25 17:06:59 +01:00
Richard W.M. Jones
1fc58abcdd New upstream development version 1.55.9
Remove flex and bison
2025-04-16 22:02:34 +01:00
Richard W.M. Jones
566608b2fc Disable tests on aarch64
https://gitlab.com/libvirt/libvirt/-/issues/762
2025-04-04 08:54:20 +01:00
Richard W.M. Jones
04ee36056b New upstream development version 1.55.8
Remove oUnit
2025-04-03 19:28:45 +01:00
Richard W.M. Jones
00b17b7430 New upstream development version 1.55.7 2025-03-11 15:34:53 +00:00
Richard W.M. Jones
67218f97d2 New upstream development version 1.55.6 2025-02-19 17:03:38 +00:00
Richard W.M. Jones
d0aaeeedab New upstream development version 1.55.5 2025-02-18 11:25:09 +00:00
Richard W.M. Jones
b4cbc4fbfc New upstream development version 1.55.4
Contains upstream fix for bin/sbin merge brokenness.
2025-02-05 13:53:24 +00:00
Fedora Release Engineering
655a9a1be9 Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild 2025-01-17 11:27:12 +00:00
Zbigniew Jędrzejewski-Szmek
64a8335772 Rebuilt for the bin-sbin merge (2nd attempt)
https://fedoraproject.org/wiki/Changes/Unify_bin_and_sbin
2025-01-12 14:33:37 +01:00
Jerry James
b0b5282cc0 OCaml 5.3.0 rebuild for Fedora 42 2025-01-10 14:03:26 -07:00
Richard W.M. Jones
f7d93df6a3 Rebuild for Ruby 3.4 again (RHBZ#2336525) 2025-01-09 11:21:50 +00:00
Richard W.M. Jones
884fa6683d New upstream development version 1.55.3
Baseline version of OCaml moved to 4.08
2025-01-08 17:31:28 +00:00
Mamoru TASAKA
97c01ad3a0 Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_3.4 2025-01-08 15:16:17 +09:00
Richard W.M. Jones
d08c746e96 Remove squashfs-tools on RHEL
Fixes: https://issues.redhat.com/browse/RHEL-68937
2024-11-26 09:22:49 +00:00
Richard W.M. Jones
ff5b9715aa Make perl Guestfs.so writable
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/DH5N6XV2NJHBIMX226HPDFUMO5NODE2V/
2024-11-18 16:27:25 +00:00
Richard W.M. Jones
969d54fb5a New upstream development version 1.55.2 2024-11-18 14:52:30 +00:00
Richard W.M. Jones
9a92c16bc3 New upstream development version 1.55.1
Replace jansson with json-c
2024-10-22 21:26:20 +01:00
Richard W.M. Jones
edf1795145 Rebuild for Jansson 2.14
(https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/3PYINSQGKQ4BB25NQUI2A2UCGGLAG5ND/)
2024-10-22 16:54:58 +01:00
Richard W.M. Jones
3f27c698db Use stable owner, group and mtime in appliance tarballs (RHBZ#2320025)
Add support for Windows Server 2025
2024-10-21 14:40:45 +01:00
Remi Collet
0e0e918557 rebuild for https://fedoraproject.org/wiki/Changes/php84 2024-10-14 09:16:30 +02:00
Richard W.M. Jones
0b9d476db9 New upstream stable version 1.54.0 2024-10-08 15:01:19 +01:00
Richard W.M. Jones
83f3f8ba76 New upstream development version 1.53.7 2024-10-03 13:22:30 +01:00
Richard W.M. Jones
74d7816935 New upstream development version 1.53.6 2024-08-16 15:32:12 +01:00
Richard W.M. Jones
481bf76bda Fix kernel hang (RHBZ#2303267) 2024-08-16 09:01:00 +01:00
Richard W.M. Jones
8f1a2c16fd Remove syslinux dependencies on RHEL 2024-07-25 12:42:56 +01:00
Fedora Release Engineering
a05db77608 Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild 2024-07-18 14:03:48 +00:00
Zbigniew Jędrzejewski-Szmek
9077713557 Rebuilt for the bin-sbin merge
https://fedoraproject.org/wiki/Changes/Unify_bin_and_sbin
2024-07-10 11:16:47 +02:00
Richard W.M. Jones
dff1c1d431 New upstream development version 1.53.5 2024-07-08 16:46:53 +01:00
Richard W.M. Jones
df317de3c7 New upstream development version 1.53.4
Fix broken date in previous changelog entry.
2024-06-28 13:04:45 +01:00
Richard W.M. Jones
dfc275f11d Try to ignore copy-patches.sh in rpminspect
Thanks: Miro Hrončok
2024-06-28 12:13:41 +01:00
Richard W.M. Jones
7feb33cf01 New upstream development version 1.53.3
Remove glusterfs support.
2024-06-27 16:50:34 +01:00
Richard W.M. Jones
ad7b6d94c1 OCaml 5.2.0 ppc64le fix 2024-06-19 16:29:25 +01:00
Jitka Plesnikova
1b88c17833 Perl 5.40 rebuild 2024-06-12 12:49:12 +02:00
Python Maint
2592e5fc60 Rebuilt for Python 3.13 2024-06-10 14:35:30 +02:00
Richard W.M. Jones
608cf467fa Re-enable perl in RHEL, needed for virt-win-reg.
Updates: commit 4bc6624556
Updates: commit 4098de8c52
2024-05-31 21:13:24 +01:00
Richard W.M. Jones
18d0372353 OCaml 5.2.0 for Fedora 41 2024-05-29 22:10:53 +01:00
Richard W.M. Jones
4bc6624556 ./configure --disable-perl and other unused languages in RHEL 10
Fixes: commit 4098de8c52
2024-05-13 16:13:47 +01:00
Richard W.M. Jones
4098de8c52 Remove lua, perl, ruby, php and gobject bindings in RHEL
gobject has always been problematic, and currently it does not work
well with the latest version of GObject.

lua, perl, ruby and php are reckoned to be unused in RHEL and pose
considerable difficulties to maintenance.  Remove them, with a view to
re-adding later if a customer complains.
2024-05-13 15:34:46 +01:00
Richard W.M. Jones
706a26efde Remove gdisk dependency for RHEL
(https://issues.redhat.com/browse/RHEL-35998)
2024-05-13 11:33:03 +01:00
Richard W.M. Jones
aad58ab4ed New upstream development version 1.53.2 2024-05-10 17:35:41 +01:00
Richard W.M. Jones
199875924f New upstream development version 1.53.1 2024-04-25 15:20:01 +01:00
Richard W.M. Jones
de83481787 Unconditionally run autoreconf 2024-04-25 15:17:45 +01:00
Richard W.M. Jones
a8d4e14528 gating: Match any version of RHEL 2024-04-12 11:27:21 +01:00
Richard W.M. Jones
79af29a9b7 BR bash-completion-devel, new in Rawhide 2024-03-25 11:36:49 +00:00
Richard W.M. Jones
ca0111fc5a Use %{bash_completions_dir} macro 2024-03-25 11:19:24 +00:00
Tom Stellard
89084e10d2 Use make macros
https://fedoraproject.org/wiki/Changes/UseMakeBuildInstallMacro
2024-01-25 10:32:58 +00:00
Fedora Release Engineering
deb6124adb Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-25 02:23:59 +00:00
Fedora Release Engineering
266db04dfd Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-21 04:16:38 +00:00
Richard W.M. Jones
1b8e34eb45 Remove yajl daemon dep and replace with jansson
In libguestfs we removed the need to yajl back in libguestfs 1.40 (Feb
2018).  However this persisted in the spec file until now.  Remove the
yajl dep, but add the dep on jansson (the replacement json library
that we are using now).
2024-01-15 12:24:43 +00:00
Richard W.M. Jones
181f457c59 Use curl instead of wget, since wget2 is broken
(https://gitlab.com/gnuwget/wget2/-/issues/652)
2024-01-15 09:38:37 +00:00
Richard W.M. Jones
3a2a7734bd Make cache directory find more robust
/var/cache/libdnf5 may be missing if dnf5 is not around
2024-01-09 09:30:41 +00:00
Richard W.M. Jones
43a1d7a110 Look for RPMs in /var/cache/libdnf5
https://bugzilla.redhat.com/show_bug.cgi?id=2256945#c5
2024-01-08 21:22:33 +00:00
Richard W.M. Jones
da7b003571 Add link to explanation of why we are building a repo of RPMs 2024-01-08 21:21:57 +00:00
Richard W.M. Jones
345e2a7513 New upstream stable branch version 1.52.0 2024-01-04 18:01:55 +00:00
Mamoru TASAKA
9ee8f6de71 Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_3.3 2024-01-04 00:13:11 +09:00
Richard W.M. Jones
eb5bfa36cc New upstream development version 1.51.10 2023-12-19 15:48:26 +00:00
Richard W.M. Jones
e48d79759a OCaml 5.1.1 + s390x code gen fix for Fedora 40 2023-12-18 15:05:57 +00:00
Richard W.M. Jones
e42b2838a8 Fixes for https://github.com/ocaml/ocaml/issues/12820 2023-12-14 09:01:12 +00:00
Richard W.M. Jones
cd66355dd5 OCaml 5.1.1 rebuild for Fedora 40 2023-12-12 14:44:50 +00:00
Richard W.M. Jones
ac1e012eb1 New upstream development version 1.51.9 2023-12-09 11:53:31 +00:00
Richard W.M. Jones
ab2d1d568e Fix build for libxml2 2.12.1 2023-11-27 14:34:15 +00:00
Richard W.M. Jones
0d42c50ccc Fix date in changelog 2023-11-16 14:00:28 +00:00
Richard W.M. Jones
78db150555 New upstream development version 1.51.8 2023-11-16 13:34:00 +00:00
Richard W.M. Jones
57a9beeac9 Don't pull in selinux-policy as a requires 2023-11-14 18:18:19 +00:00
Richard W.M. Jones
7c85e98f6f Merge #8 Don't pull in selinux-policy as a requires 2023-11-08 10:57:53 +00:00
Richard W.M. Jones
15f0fe6b03 Use dhcpcd instead of dhclient (RHBZ#2247057) 2023-10-30 14:32:57 +00:00
Daan De Meyer
ef0dbaea60 Don't pull in selinux-policy as a requires
Building Fedora images without the selinux policy should be
possible. Currently, out of the 500 packages or so installed in
the mkosi-kernel fedora image (https://github.com/DaanDeMeyer/mkosi-kernel),
libguestfs is the only one that has a requires on selinux-policy.
Let's make sure we don't pull in selinux-policy but do keep the version
requirement intact if it is already installed.
2023-10-28 15:25:00 +02:00
Richard W.M. Jones
007cc47bef zstd-devel -> libzstd-devel 2023-10-06 12:10:33 +01:00
Richard W.M. Jones
6414c52e4d Add upstream patch to fix linking the daemon with OCaml 5.1 2023-10-06 12:00:31 +01:00
Richard W.M. Jones
b81ea517da Revert "Update names of the Unix and Camlstr libraries for OCaml 5.1.0"
This reverts commit 67766db26b.

RWMJ: Will be replaced by an upstream patch
2023-10-06 11:34:29 +01:00
Richard W.M. Jones
47191e3da1 OCaml 5.1 rebuild for Fedora 40 2023-10-05 16:04:56 +01:00
Jerry James
67766db26b Update names of the Unix and Camlstr libraries for OCaml 5.1.0
Link with libzstd for OCaml 5.1.0
2023-10-04 23:11:00 -06:00
Remi Collet
25ec33956f rebuild for https://fedoraproject.org/wiki/Changes/php83 2023-10-03 08:27:00 +02:00
Richard W.M. Jones
7f1b9ab599 New upstream development branch 1.51.7 2023-09-21 16:27:39 +01:00
Yaakov Selkowitz
72d1e2e1de Use qemu-kvm in ELN builds
ELN now has a RHEL-like qemu-kvm, and needs to be handled accordingly.
2023-07-25 23:20:13 -04:00
Richard W.M. Jones
f4541eac6e New upstream development branch 1.51.6 2023-07-20 19:39:01 +01:00
Fedora Release Engineering
cd873a392d Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-07-20 11:04:02 +00:00
Richard W.M. Jones
509077f1d6 New upstream development branch 1.51.5 2023-07-14 20:51:32 +01:00
Jitka Plesnikova
36ce025ec9 Perl 5.38 re-rebuild updated packages 2023-07-13 11:12:07 +02:00
Richard W.M. Jones
e2d237c476 Bump and rebuild against supermin-5.3.3-13.fc39 2023-07-13 08:31:11 +01:00
Jitka Plesnikova
5370766302 Perl 5.38 re-rebuild updated packages 2023-07-13 08:07:35 +02:00
Richard W.M. Jones
5e7e03448a Fix bytecode platforms
RPM build warnings:
    File not found: /builddir/build/BUILDROOT/libguestfs-1.51.4-5.fc39.ppc64le/usr/lib64/ocaml/guestfs/*.cmxa
    File not found: /builddir/build/BUILDROOT/libguestfs-1.51.4-5.fc39.ppc64le/usr/lib64/ocaml/guestfs/*.cmx
RPM build errors:
    File not found: /builddir/build/BUILDROOT/libguestfs-1.51.4-5.fc39.ppc64le/usr/lib64/ocaml/guestfs/*.cmxa
    File not found: /builddir/build/BUILDROOT/libguestfs-1.51.4-5.fc39.ppc64le/usr/lib64/ocaml/guestfs/*.cmx
2023-07-12 12:20:51 +01:00
Richard W.M. Jones
f3d71cb4e8 OCaml 5.0 rebuild for Fedora 39 2023-07-12 00:17:44 +01:00
Jitka Plesnikova
1ebe4be020 Perl 5.38 rebuild 2023-07-11 15:33:40 +02:00
Richard W.M. Jones
e1d896a8a1 ExcludeArch i686 (https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/SPML7CUBSZNI36NLXGVHEG7DNHU3EWOJ/) 2023-07-11 11:36:26 +01:00
Jerry James
dd756afd60 OCaml 5.0.0 rebuild 2023-07-10 22:30:18 -06:00
Python Maint
5fe1618c69 Rebuilt for Python 3.12 2023-06-27 20:14:42 +02:00
Richard W.M. Jones
191ba1199e New upstream development version 1.51.4 2023-06-27 16:21:42 +01:00
Python Maint
3618f7a33c Rebuilt for Python 3.12 2023-06-15 15:34:57 +02:00
Richard W.M. Jones
9f346950b8 Migrated to SPDX license 2023-06-05 14:25:30 +01:00
Richard W.M. Jones
f1cce8400e Rebuild against librpm 10 2023-05-19 13:04:09 +01:00
Richard W.M. Jones
cb2b302101 New upstream development version 1.51.3 2023-04-19 13:50:27 +01:00
Richard W.M. Jones
fd4b4a4b62 New upstream development version 1.51.2 2023-02-21 22:48:22 +00:00
Richard W.M. Jones
5454a28797 New upstream development version 1.51.1
Remove virt-dib
2023-02-10 11:12:48 +00:00
Richard W.M. Jones
19312656d8 Remove libguestfs-dib
Removed upstream in libguestfs >= 1.51.1
2023-02-07 13:31:39 +00:00
Richard W.M. Jones
c3704e0200 New upstream stable branch 1.50.0 2023-02-07 12:08:37 +00:00
Richard W.M. Jones
f8b1780c7d Rebuild OCaml packages for F38 2023-01-24 18:08:01 +00:00
Richard W.M. Jones
06dd88ce06 New upstream development version 1.49.9
+BR ocaml-augeas-devel
2023-01-20 08:33:06 +00:00
Fedora Release Engineering
68f61c4dfc Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-01-19 16:31:02 +00:00
Jitka Plesnikova
6140dbc2f0 Remove perl(MODULE_COMPAT), it will be replaced by generators 2023-01-13 09:44:02 +01:00
Mamoru TASAKA
a64cbbf92a Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_3.2 2023-01-04 14:08:53 +09:00
Richard W.M. Jones
8f14a2c354 New upstream development version 1.49.8 2022-12-10 12:36:51 +00:00
Richard W.M. Jones
8f8c5740d5 New upstream development version 1.49.7 2022-11-28 12:14:17 +00:00
Richard W.M. Jones
1dfae674ee New upstream development version 1.49.6 2022-11-21 17:14:41 +00:00
Richard W.M. Jones
ea7571f662 Move libguestfs-make-fixed-appliance to main package (RHBZ#2140695) 2022-11-08 13:07:09 +00:00
Richard W.M. Jones
75f10447a6 Add workaround for openssl bug RHBZ#2133884 2022-10-11 22:03:47 +01:00
Richard W.M. Jones
079cc475fb New upstream development version 1.49.5 2022-10-11 16:47:29 +01:00
Remi Collet
c913345514 rebuild for https://fedoraproject.org/wiki/Changes/php82 2022-10-05 09:44:04 +02:00
Richard W.M. Jones
1d510c3e2c Add BR zstd
Will be required by libguestfs >= 1.49.5.
2022-08-10 08:47:20 +01:00
Richard W.M. Jones
3c86bbd78e New upstream development version 1.49.4 2022-08-01 15:23:14 +01:00
Richard W.M. Jones
0e746eddb8 Skip tests on debug kernels
These Rawhide kernels have become so slow that they are no longer able
to run libguestfs in Koji.
2022-07-21 21:30:34 +01:00
Fedora Release Engineering
c0052f0c34 Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2022-07-21 18:00:04 +00:00
Richard W.M. Jones
f1b5b138be ocaml-gettext/-devel is no longer required 2022-07-20 10:58:00 +01:00
Richard W.M. Jones
9613879357 Add clevis-luks to BRs, required by 1.49.3 2022-07-04 11:05:47 +01:00
Richard W.M. Jones
d15a8071b1 New upstream development version 1.49.3 2022-07-01 16:00:40 +01:00
Python Maint
4ab8c7248f Rebuilt for Python 3.11 2022-06-20 10:45:38 +02:00
Richard W.M. Jones
1783711e2f OCaml 4.14.0 rebuild 2022-06-19 11:51:54 +01:00
Richard W.M. Jones
ce0a8a8976 Enable PHP bindings (on RHEL)
https://bugzilla.redhat.com/show_bug.cgi?id=2097718
2022-06-17 08:43:22 +01:00
Python Maint
e598e60d7c Rebuilt for Python 3.11 2022-06-16 13:34:40 +02:00
Richard W.M. Jones
75e77be87a Fix PHP bindings 2022-06-16 08:44:35 +01:00
Python Maint
8a7ee9b294 Rebuilt for Python 3.11 2022-06-15 18:25:34 +02:00
Jitka Plesnikova
7f0f202975 Perl 5.36 rebuild 2022-06-01 08:52:05 +02:00
Richard W.M. Jones
7c2b529975 New upstream development version 1.49.2 2022-05-26 12:38:37 +01:00
Richard W.M. Jones
4c4ca3eda2 Add upstream patch which helps debugging appliance generation. 2022-05-21 11:13:29 +01:00
Richard W.M. Jones
3336b47a09 New upstream development version 1.49.1 2022-05-12 15:29:28 +01:00
Richard W.M. Jones
461e5bef9c virt-rescue: Add versioned requires on libguestfs base package
Otherwise this can be satisfied by any libguestfs, even quite an old
version.
2022-04-20 13:41:55 +01:00
Richard W.M. Jones
51cdb68f09 New upstream stable branch version 1.48.1 2022-04-14 17:04:34 +01:00
Richard W.M. Jones
d2bb9986b2 New upstream stable branch version 1.48.0
Remove the RHEL (downstream) patches as they are out of date.
2022-03-14 14:12:24 +00:00
Richard W.M. Jones
5106bb9547 New upstream development version 1.47.4
Replace guestfs-release-notes-historical(1) with guestfs-release-notes(1)
2022-03-08 14:30:27 +00:00
Richard W.M. Jones
97290932ce New upstream development version 1.47.3
Enable tests on all arches again.
2022-03-01 11:40:25 +00:00
Richard W.M. Jones
419bada284 Add more external programs used by the library
https://bugzilla.redhat.com/show_bug.cgi?id=1989514#c19

Thanks: Alice Frose, Andrea Bolognani
2022-02-28 19:16:16 +00:00
Richard W.M. Jones
65d9d766a2 Bump and rebuild for eln 2022-02-08 21:18:40 +00:00
Richard W.M. Jones
ed16a793e0 OCaml 4.13.1 rebuild to remove package notes 2022-02-04 16:49:40 +00:00
Fedora Release Engineering
b5435eeae3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2022-01-20 16:23:11 +00:00
Richard W.M. Jones
37b78c5d2f Build and rebuild for new glibc causing broken deps on armv7 (RHBZ#2034715) 2022-01-04 19:41:21 +00:00
Richard W.M. Jones
c6fc8008f3 New upstream development version 1.47.2 2021-12-24 10:12:32 +00:00
Richard W.M. Jones
5f98d3ef87 New upstream development version 1.47.1 2021-12-09 19:24:20 +00:00
Richard W.M. Jones
04309c70cd Require libvirt-daemon-driver-storage-core
resolves: rhbz#2018358
2021-10-29 09:47:45 +01:00
Remi Collet
489fcddcb7 rebuild for https://fedoraproject.org/wiki/Changes/php81 2021-10-28 15:08:34 +02:00
Richard W.M. Jones
6f05a2f91c OCaml 4.13.1 build 2021-10-05 11:02:06 +01:00
Richard W.M. Jones
9386c1d522 Disable tests on armv7
virtio devices cannot be found by the guest.  It could be similar to
https://bugzilla.redhat.com/show_bug.cgi?id=2006709 which was reported
against ppc64le.
2021-09-23 19:38:09 +01:00
Richard W.M. Jones
1a2b1681de Remove BUGS file, no longer provided upstream 2021-09-23 16:09:29 +01:00
Richard W.M. Jones
05680b55f6 New upstream stable branch version 1.46.0 2021-09-23 15:55:13 +01:00
Richard W.M. Jones
e2c24718cf Rebuild for updated ntfs-3g CVE (RHBZ#1999788) 2021-08-31 23:21:04 +01:00
12 changed files with 604 additions and 1359 deletions

View file

@ -1,55 +0,0 @@
From fb09175a21b9ee333e3ad01ab9c8652263200ca4 Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Fri, 21 Dec 2012 15:50:11 +0000
Subject: [PATCH 1/6] RHEL: Remove libguestfs live (RHBZ#798980).
This isn't supported in RHEL.
Disable daemon tests that require the 'unix' backend.
---
lib/launch-unix.c | 7 +++++++
tests/Makefile.am | 3 ---
2 files changed, 7 insertions(+), 3 deletions(-)
diff --git a/lib/launch-unix.c b/lib/launch-unix.c
index 0d344f9df..74dd1bb4a 100644
--- a/lib/launch-unix.c
+++ b/lib/launch-unix.c
@@ -37,6 +37,12 @@
static int
launch_unix (guestfs_h *g, void *datav, const char *sockpath)
{
+ error (g,
+ "launch: In RHEL, only the 'libvirt' or 'direct' method is supported.\n"
+ "In particular, \"libguestfs live\" is not supported.");
+ return -1;
+
+#if 0
int r, daemon_sock = -1;
struct sockaddr_un addr;
uint32_t size;
@@ -106,6 +112,7 @@ launch_unix (guestfs_h *g, void *datav, const char *sockpath)
g->conn = NULL;
}
return -1;
+#endif
}
static int
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 690e09b5e..919e2f248 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -328,9 +328,6 @@ EXTRA_DIST += create/test-disk-create.sh
check_DATA = daemon/captive-daemon.pm
-TESTS += \
- daemon/test-daemon-start.pl \
- daemon/test-btrfs.pl
EXTRA_DIST += \
daemon/test-daemon-start.pl \
daemon/test-btrfs.pl
--
2.31.1

View file

@ -1,329 +0,0 @@
From e0af86a09b80b5fa0c5f308ae6f34d8315c1dc4d Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Thu, 18 Jul 2013 18:31:53 +0100
Subject: [PATCH 2/6] RHEL: Remove 9p APIs from RHEL (RHBZ#921710).
---
daemon/9p.c | 182 --------------------------------------
daemon/Makefile.am | 1 -
docs/C_SOURCE_FILES | 1 -
generator/actions_core.ml | 21 -----
generator/proc_nr.ml | 2 -
gobject/Makefile.inc | 2 -
po/POTFILES | 2 -
tests/Makefile.am | 1 -
8 files changed, 212 deletions(-)
delete mode 100644 daemon/9p.c
diff --git a/daemon/9p.c b/daemon/9p.c
deleted file mode 100644
index 743a96abd..000000000
--- a/daemon/9p.c
+++ /dev/null
@@ -1,182 +0,0 @@
-/* libguestfs - the guestfsd daemon
- * Copyright (C) 2011 Red Hat Inc.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
-#include <config.h>
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include <unistd.h>
-#include <limits.h>
-#include <errno.h>
-#include <sys/types.h>
-#include <sys/stat.h>
-#include <dirent.h>
-#include <fcntl.h>
-
-#include "ignore-value.h"
-
-#include "daemon.h"
-#include "actions.h"
-
-#define BUS_PATH "/sys/bus/virtio/drivers/9pnet_virtio"
-
-static void
-modprobe_9pnet_virtio (void)
-{
- /* Required with Linux 5.6 and maybe earlier kernels. For unclear
- * reasons the module is not an automatic dependency of the 9p
- * module so doesn't get loaded automatically.
- */
- ignore_value (command (NULL, NULL, "modprobe", "9pnet_virtio", NULL));
-}
-
-/* https://bugzilla.redhat.com/show_bug.cgi?id=714981#c1 */
-char **
-do_list_9p (void)
-{
- CLEANUP_FREE_STRINGSBUF DECLARE_STRINGSBUF (r);
- DIR *dir;
-
- modprobe_9pnet_virtio ();
-
- dir = opendir (BUS_PATH);
- if (!dir) {
- perror ("opendir: " BUS_PATH);
- if (errno != ENOENT) {
- reply_with_perror ("opendir: " BUS_PATH);
- return NULL;
- }
-
- /* If this directory doesn't exist, it probably means that
- * the virtio driver isn't loaded. Don't return an error
- * in this case, but return an empty list.
- */
- if (end_stringsbuf (&r) == -1)
- return NULL;
-
- return take_stringsbuf (&r);
- }
-
- while (1) {
- struct dirent *d;
-
- errno = 0;
- d = readdir (dir);
- if (d == NULL) break;
-
- if (STRPREFIX (d->d_name, "virtio")) {
- CLEANUP_FREE char *mount_tag_path = NULL;
- if (asprintf (&mount_tag_path, BUS_PATH "/%s/mount_tag",
- d->d_name) == -1) {
- reply_with_perror ("asprintf");
- closedir (dir);
- return NULL;
- }
-
- /* A bit unclear, but it looks like the virtio transport allows
- * the mount tag length to be unlimited (or up to 65536 bytes).
- * See: linux/include/linux/virtio_9p.h
- */
- CLEANUP_FREE char *mount_tag = read_whole_file (mount_tag_path, NULL);
- if (mount_tag == 0)
- continue;
-
- if (add_string (&r, mount_tag) == -1) {
- closedir (dir);
- return NULL;
- }
- }
- }
-
- /* Check readdir didn't fail */
- if (errno != 0) {
- reply_with_perror ("readdir: /sys/block");
- closedir (dir);
- return NULL;
- }
-
- /* Close the directory handle */
- if (closedir (dir) == -1) {
- reply_with_perror ("closedir: /sys/block");
- return NULL;
- }
-
- /* Sort the tags. */
- if (r.size > 0)
- sort_strings (r.argv, r.size);
-
- /* NULL terminate the list */
- if (end_stringsbuf (&r) == -1)
- return NULL;
-
- return take_stringsbuf (&r);
-}
-
-/* Takes optional arguments, consult optargs_bitmask. */
-int
-do_mount_9p (const char *mount_tag, const char *mountpoint, const char *options)
-{
- CLEANUP_FREE char *mp = NULL, *opts = NULL, *err = NULL;
- struct stat statbuf;
- int r;
-
- ABS_PATH (mountpoint, 0, return -1);
-
- mp = sysroot_path (mountpoint);
- if (!mp) {
- reply_with_perror ("malloc");
- return -1;
- }
-
- /* Check the mountpoint exists and is a directory. */
- if (stat (mp, &statbuf) == -1) {
- reply_with_perror ("%s", mountpoint);
- return -1;
- }
- if (!S_ISDIR (statbuf.st_mode)) {
- reply_with_perror ("%s: mount point is not a directory", mountpoint);
- return -1;
- }
-
- /* Add trans=virtio to the options. */
- if ((optargs_bitmask & GUESTFS_MOUNT_9P_OPTIONS_BITMASK) &&
- STRNEQ (options, "")) {
- if (asprintf (&opts, "trans=virtio,%s", options) == -1) {
- reply_with_perror ("asprintf");
- return -1;
- }
- }
- else {
- opts = strdup ("trans=virtio");
- if (opts == NULL) {
- reply_with_perror ("strdup");
- return -1;
- }
- }
-
- modprobe_9pnet_virtio ();
- r = command (NULL, &err,
- "mount", "-o", opts, "-t", "9p", mount_tag, mp, NULL);
- if (r == -1) {
- reply_with_error ("%s on %s: %s", mount_tag, mountpoint, err);
- return -1;
- }
-
- return 0;
-}
diff --git a/daemon/Makefile.am b/daemon/Makefile.am
index 6f13bd43c..cc4dbcd85 100644
--- a/daemon/Makefile.am
+++ b/daemon/Makefile.am
@@ -84,7 +84,6 @@ guestfsd_SOURCES = \
../common/protocol/guestfs_protocol.h \
../common/utils/cleanups.h \
../common/utils/guestfs-utils.h \
- 9p.c \
acl.c \
actions.h \
available.c \
diff --git a/docs/C_SOURCE_FILES b/docs/C_SOURCE_FILES
index 6a97d8b0e..896314e7e 100644
--- a/docs/C_SOURCE_FILES
+++ b/docs/C_SOURCE_FILES
@@ -43,7 +43,6 @@ common/visit/visit.c
common/visit/visit.h
common/windows/windows.c
common/windows/windows.h
-daemon/9p.c
daemon/acl.c
daemon/actions.h
daemon/augeas.c
diff --git a/generator/actions_core.ml b/generator/actions_core.ml
index bb602ee02..db8156c51 100644
--- a/generator/actions_core.ml
+++ b/generator/actions_core.ml
@@ -6157,27 +6157,6 @@ This returns true iff the device exists and contains all zero bytes.
Note that for large devices this can take a long time to run." };
- { defaults with
- name = "list_9p"; added = (1, 11, 12);
- style = RStringList (RPlainString, "mounttags"), [], [];
- shortdesc = "list 9p filesystems";
- longdesc = "\
-List all 9p filesystems attached to the guest. A list of
-mount tags is returned." };
-
- { defaults with
- name = "mount_9p"; added = (1, 11, 12);
- style = RErr, [String (PlainString, "mounttag"); String (PlainString, "mountpoint")], [OString "options"];
- camel_name = "Mount9P";
- shortdesc = "mount 9p filesystem";
- longdesc = "\
-Mount the virtio-9p filesystem with the tag C<mounttag> on the
-directory C<mountpoint>.
-
-If required, C<trans=virtio> will be automatically added to the options.
-Any other options required can be passed in the optional C<options>
-parameter." };
-
{ defaults with
name = "list_dm_devices"; added = (1, 11, 15);
style = RStringList (RDevice, "devices"), [], [];
diff --git a/generator/proc_nr.ml b/generator/proc_nr.ml
index 74b95baf7..6b6cb7353 100644
--- a/generator/proc_nr.ml
+++ b/generator/proc_nr.ml
@@ -295,8 +295,6 @@ let proc_nr = [
282, "internal_autosync";
283, "is_zero";
284, "is_zero_device";
-285, "list_9p";
-286, "mount_9p";
287, "list_dm_devices";
288, "ntfsresize";
289, "btrfs_filesystem_resize";
diff --git a/gobject/Makefile.inc b/gobject/Makefile.inc
index 650f8ddac..c4e735967 100644
--- a/gobject/Makefile.inc
+++ b/gobject/Makefile.inc
@@ -94,7 +94,6 @@ guestfs_gobject_headers= \
include/guestfs-gobject/optargs-mksquashfs.h \
include/guestfs-gobject/optargs-mkswap.h \
include/guestfs-gobject/optargs-mktemp.h \
- include/guestfs-gobject/optargs-mount_9p.h \
include/guestfs-gobject/optargs-mount_local.h \
include/guestfs-gobject/optargs-ntfsclone_out.h \
include/guestfs-gobject/optargs-ntfsfix.h \
@@ -188,7 +187,6 @@ guestfs_gobject_sources= \
src/optargs-mksquashfs.c \
src/optargs-mkswap.c \
src/optargs-mktemp.c \
- src/optargs-mount_9p.c \
src/optargs-mount_local.c \
src/optargs-ntfsclone_out.c \
src/optargs-ntfsfix.c \
diff --git a/po/POTFILES b/po/POTFILES
index 29205b6a6..23afe619c 100644
--- a/po/POTFILES
+++ b/po/POTFILES
@@ -26,7 +26,6 @@ common/utils/stringlists-utils.c
common/utils/utils.c
common/visit/visit.c
common/windows/windows.c
-daemon/9p.c
daemon/acl.c
daemon/augeas.c
daemon/available.c
@@ -264,7 +263,6 @@ gobject/src/optargs-mkfs_btrfs.c
gobject/src/optargs-mksquashfs.c
gobject/src/optargs-mkswap.c
gobject/src/optargs-mktemp.c
-gobject/src/optargs-mount_9p.c
gobject/src/optargs-mount_local.c
gobject/src/optargs-ntfsclone_out.c
gobject/src/optargs-ntfsfix.c
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 919e2f248..e3613fec4 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -43,7 +43,6 @@ check-slow:
check-valgrind:
$(MAKE) VG="@VG@" check
-TESTS += 9p/test-9p.sh
EXTRA_DIST += 9p/test-9p.sh
SLOW_TESTS += bigdirs/test-big-dirs.pl
--
2.31.1

View file

@ -1,609 +0,0 @@
From fddb44d1a2c77739c9441d2cc0acfef9e62718a6 Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Mon, 29 Jul 2013 14:47:56 +0100
Subject: [PATCH 3/6] RHEL: Disable unsupported remote drive protocols
(RHBZ#962113).
This disables support for unsupported remote drive protocols:
* ftp
* ftps
* http
* https
* tftp
* gluster
* iscsi
* sheepdog
* ssh
Note 'nbd' is not disabled, and of course 'file' works.
We hope to gradually add some of these back over the lifetime of RHEL.
---
docs/guestfs-testing.pod | 20 -----
fish/guestfish.pod | 66 ++--------------
fish/test-add-uri.sh | 32 --------
generator/actions_core.ml | 50 +------------
lib/drives.c | 8 ++
lib/guestfs.pod | 100 -------------------------
tests/disks/test-qemu-drive-libvirt.sh | 28 -------
tests/disks/test-qemu-drive.sh | 60 ---------------
8 files changed, 16 insertions(+), 348 deletions(-)
diff --git a/docs/guestfs-testing.pod b/docs/guestfs-testing.pod
index f558964bf..8f264ed17 100644
--- a/docs/guestfs-testing.pod
+++ b/docs/guestfs-testing.pod
@@ -109,26 +109,6 @@ image. To exit, type C<exit>.
If you get an error, try enabling debugging (add C<-v> to the command
line). Also make sure that L<libguestfs-test-tool(1)> succeeds.
-=head2 Try to open a remote guest image with guestfish.
-
-You may also have to disable libvirt by setting this:
-
- export LIBGUESTFS_BACKEND=direct
-
-If you have a disk image available over HTTP/FTP, try to open it.
-
- guestfish --ro -i --format=raw -a http://www.example.com/disk.img
-
-For SSH you will need to make sure that ssh-agent is set up so you
-don't need a password to log in to the remote machine. Then a command
-similar to this should work:
-
- guestfish --ro -i --format=raw \
- -a ssh://remote.example.com/path/to/disk.img
-
-If you get an error, try enabling debugging (add C<-v> to the command
-line). Also make sure that L<libguestfs-test-tool(1)> succeeds.
-
=head2 Run virt-alignment-scan on all your guests.
Run L<virt-alignment-scan(1)> on guests or disk images:
diff --git a/fish/guestfish.pod b/fish/guestfish.pod
index 9f086f110..bb4167b06 100644
--- a/fish/guestfish.pod
+++ b/fish/guestfish.pod
@@ -131,9 +131,9 @@ To list what is available do:
=head2 Remote drives
-Access a remote disk using ssh:
+Access a remote disk using NBD:
- guestfish -a ssh://example.com/path/to/disk.img
+ guestfish -a nbd://example.com
=head2 Remote control
@@ -1134,12 +1134,12 @@ L<guestfs(3)/REMOTE STORAGE>>.
On the command line, you can use the I<-a> option to add network
block devices using a URI-style format, for example:
- guestfish -a ssh://root@example.com/disk.img
+ guestfish -a nbd://example.com
URIs I<cannot> be used with the L</add> command. The equivalent
command using the API directly is:
- ><fs> add /disk.img protocol:ssh server:tcp:example.com username:root
+ ><fs> add /disk.img protocol:nbd server:tcp:example.com
The possible I<-a URI> formats are described below.
@@ -1149,40 +1149,6 @@ The possible I<-a URI> formats are described below.
Add the local disk image (or device) called F<disk.img>.
-=head2 B<-a ftp://[user@]example.com[:port]/disk.img>
-
-=head2 B<-a ftps://[user@]example.com[:port]/disk.img>
-
-=head2 B<-a http://[user@]example.com[:port]/disk.img>
-
-=head2 B<-a https://[user@]example.com[:port]/disk.img>
-
-=head2 B<-a tftp://[user@]example.com[:port]/disk.img>
-
-Add a disk located on a remote FTP, HTTP or TFTP server.
-
-The equivalent API command would be:
-
- ><fs> add /disk.img protocol:(ftp|...) server:tcp:example.com
-
-=head2 B<-a gluster://example.com[:port]/volname/image>
-
-Add a disk image located on GlusterFS storage.
-
-The server is the one running C<glusterd>, and may be C<localhost>.
-
-The equivalent API command would be:
-
- ><fs> add volname/image protocol:gluster server:tcp:example.com
-
-=head2 B<-a iscsi://example.com[:port]/target-iqn-name[/lun]>
-
-Add a disk located on an iSCSI server.
-
-The equivalent API command would be:
-
- ><fs> add target-iqn-name/lun protocol:iscsi server:tcp:example.com
-
=head2 B<-a nbd://example.com[:port]>
=head2 B<-a nbd://example.com[:port]/exportname>
@@ -1217,35 +1183,13 @@ The equivalent API command would be:
><fs> add pool/disk protocol:rbd server:tcp:example.com:port
-=head2 B<-a sheepdog://[example.com[:port]]/volume/image>
-
-Add a disk image located on a Sheepdog volume.
-
-The server name is optional. Although libguestfs and Sheepdog
-supports multiple servers, only at most one server can be specified
-when using this URI syntax.
-
-The equivalent API command would be:
-
- ><fs> add volume protocol:sheepdog [server:tcp:example.com]
-
-=head2 B<-a ssh://[user@]example.com[:port]/disk.img>
-
-Add a disk image located on a remote server, accessed using the Secure
-Shell (ssh) SFTP protocol. SFTP is supported out of the box by all
-major SSH servers.
-
-The equivalent API command would be:
-
- ><fs> add /disk protocol:ssh server:tcp:example.com [username:user]
-
Note that the URIs follow the syntax of
L<RFC 3986|https://tools.ietf.org/html/rfc3986>: in particular, there
are restrictions on the allowed characters for the various components
of the URI. Characters such as C<:>, C<@>, and C</> B<must> be
percent-encoded:
- $ guestfish -a ssh://user:pass%40word@example.com/disk.img
+ $ guestfish -a rbd://user:pass%40word@example.com[:port]/pool/disk
In this case, the password is C<pass@word>.
diff --git a/fish/test-add-uri.sh b/fish/test-add-uri.sh
index 21d424984..ddabeb639 100755
--- a/fish/test-add-uri.sh
+++ b/fish/test-add-uri.sh
@@ -40,14 +40,6 @@ function fail ()
$VG guestfish -x -a file://$abs_builddir/test-add-uri.img </dev/null >test-add-uri.out 2>&1
grep -sq 'add_drive ".*/test-add-uri.img"' test-add-uri.out || fail
-# curl
-$VG guestfish -x -a ftp://user@example.com/disk.img </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "/disk.img" "protocol:ftp" "server:tcp:example.com" "username:user"' test-add-uri.out || fail
-
-# gluster
-$VG guestfish -x -a gluster://example.com/disk </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "disk" "protocol:gluster" "server:tcp:example.com"' test-add-uri.out || fail
-
# NBD
$VG guestfish -x -a nbd://example.com </dev/null >test-add-uri.out 2>&1
grep -sq 'add_drive "" "protocol:nbd" "server:tcp:example.com"' test-add-uri.out || fail
@@ -67,29 +59,5 @@ grep -sq 'add_drive "pool/disk" "protocol:rbd" "server:tcp:example.com:6789"' te
$VG guestfish -x -a rbd:///pool/disk </dev/null >test-add-uri.out 2>&1
grep -sq 'add_drive "pool/disk" "protocol:rbd"' test-add-uri.out || fail
-# sheepdog
-$VG guestfish -x -a sheepdog:///volume/image </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "volume/image" "protocol:sheepdog"' test-add-uri.out || fail
-
-$VG guestfish -x -a sheepdog://example.com:3000/volume/image </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "volume/image" "protocol:sheepdog" "server:tcp:example.com:3000"' test-add-uri.out || fail
-
-# ssh
-$VG guestfish -x -a ssh://example.com/disk.img </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "/disk.img" "protocol:ssh" "server:tcp:example.com"' test-add-uri.out || fail
-
-$VG guestfish -x -a ssh://user@example.com/disk.img </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "/disk.img" "protocol:ssh" "server:tcp:example.com" "username:user"' test-add-uri.out || fail
-
-$VG guestfish -x -a ssh://user@example.com:2000/disk.img </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "/disk.img" "protocol:ssh" "server:tcp:example.com:2000" "username:user"' test-add-uri.out || fail
-
-# iSCSI
-$VG guestfish -x -a iscsi://example.com/iqn.2015-12.com.libguestfs:test1/0 </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "iqn.2015-12.com.libguestfs:test1/0" "protocol:iscsi" "server:tcp:example.com"' test-add-uri.out || fail
-
-$VG guestfish -x -a iscsi://user:password@example.com/iqn.2015-12.com.libguestfs:test2/0 </dev/null >test-add-uri.out 2>&1
-grep -sq 'add_drive "iqn.2015-12.com.libguestfs:test2/0" "protocol:iscsi" "server:tcp:example.com" "username:user" "secret:password"' test-add-uri.out || fail
-
rm test-add-uri.out
rm test-add-uri.img
diff --git a/generator/actions_core.ml b/generator/actions_core.ml
index db8156c51..b87071e3b 100644
--- a/generator/actions_core.ml
+++ b/generator/actions_core.ml
@@ -297,29 +297,6 @@ F<filename> is interpreted as a local file or device.
This is the default if the optional protocol parameter
is omitted.
-=item C<protocol = \"ftp\"|\"ftps\"|\"http\"|\"https\"|\"tftp\">
-
-Connect to a remote FTP, HTTP or TFTP server.
-The C<server> parameter must also be supplied - see below.
-
-See also: L<guestfs(3)/FTP, HTTP AND TFTP>
-
-=item C<protocol = \"gluster\">
-
-Connect to the GlusterFS server.
-The C<server> parameter must also be supplied - see below.
-
-See also: L<guestfs(3)/GLUSTER>
-
-=item C<protocol = \"iscsi\">
-
-Connect to the iSCSI server.
-The C<server> parameter must also be supplied - see below.
-The C<username> parameter may be supplied. See below.
-The C<secret> parameter may be supplied. See below.
-
-See also: L<guestfs(3)/ISCSI>.
-
=item C<protocol = \"nbd\">
Connect to the Network Block Device server.
@@ -336,22 +313,6 @@ The C<secret> parameter may be supplied. See below.
See also: L<guestfs(3)/CEPH>.
-=item C<protocol = \"sheepdog\">
-
-Connect to the Sheepdog server.
-The C<server> parameter may also be supplied - see below.
-
-See also: L<guestfs(3)/SHEEPDOG>.
-
-=item C<protocol = \"ssh\">
-
-Connect to the Secure Shell (ssh) server.
-
-The C<server> parameter must be supplied.
-The C<username> parameter may be supplied. See below.
-
-See also: L<guestfs(3)/SSH>.
-
=back
=item C<server>
@@ -362,13 +323,8 @@ is a list of server(s).
Protocol Number of servers required
-------- --------------------------
file List must be empty or param not used at all
- ftp|ftps|http|https|tftp Exactly one
- gluster Exactly one
- iscsi Exactly one
nbd Exactly one
rbd Zero or more
- sheepdog Zero or more
- ssh Exactly one
Each list element is a string specifying a server. The string must be
in one of the following formats:
@@ -384,10 +340,10 @@ for the protocol is used (see F</etc/services>).
=item C<username>
-For the C<ftp>, C<ftps>, C<http>, C<https>, C<iscsi>, C<rbd>, C<ssh>
-and C<tftp> protocols, this specifies the remote username.
+For the C<rbd>
+protocol, this specifies the remote username.
-If not given, then the local username is used for C<ssh>, and no authentication
+If not given, then no authentication
is attempted for ceph. But note this sometimes may give unexpected results, for
example if using the libvirt backend and if the libvirt backend is configured to
start the qemu appliance as a special user such as C<qemu.qemu>. If in doubt,
diff --git a/lib/drives.c b/lib/drives.c
index 46af66db4..c81ded5d7 100644
--- a/lib/drives.c
+++ b/lib/drives.c
@@ -168,6 +168,7 @@ create_drive_non_file (guestfs_h *g,
return drv;
}
+#if 0 /* DISABLED IN RHEL 8 */
static struct drive *
create_drive_curl (guestfs_h *g,
const struct drive_create_data *data)
@@ -226,6 +227,7 @@ create_drive_gluster (guestfs_h *g,
return create_drive_non_file (g, data);
}
+#endif /* DISABLED IN RHEL 8 */
static int
nbd_port (void)
@@ -294,6 +296,7 @@ create_drive_rbd (guestfs_h *g,
return create_drive_non_file (g, data);
}
+#if 0 /* DISABLED IN RHEL 8 */
static struct drive *
create_drive_sheepdog (guestfs_h *g,
const struct drive_create_data *data)
@@ -394,6 +397,7 @@ create_drive_iscsi (guestfs_h *g,
return create_drive_non_file (g, data);
}
+#endif /* DISABLED IN RHEL 8 */
/**
* Create the special F</dev/null> drive.
@@ -856,6 +860,7 @@ guestfs_impl_add_drive_opts (guestfs_h *g, const char *filename,
drv = create_drive_file (g, &data);
}
}
+#if 0 /* DISABLED IN RHEL 8 */
else if (STREQ (protocol, "ftp")) {
data.protocol = drive_protocol_ftp;
drv = create_drive_curl (g, &data);
@@ -880,6 +885,7 @@ guestfs_impl_add_drive_opts (guestfs_h *g, const char *filename,
data.protocol = drive_protocol_iscsi;
drv = create_drive_iscsi (g, &data);
}
+#endif /* DISABLED IN RHEL 8 */
else if (STREQ (protocol, "nbd")) {
data.protocol = drive_protocol_nbd;
drv = create_drive_nbd (g, &data);
@@ -888,6 +894,7 @@ guestfs_impl_add_drive_opts (guestfs_h *g, const char *filename,
data.protocol = drive_protocol_rbd;
drv = create_drive_rbd (g, &data);
}
+#if 0 /* DISABLED IN RHEL 8 */
else if (STREQ (protocol, "sheepdog")) {
data.protocol = drive_protocol_sheepdog;
drv = create_drive_sheepdog (g, &data);
@@ -900,6 +907,7 @@ guestfs_impl_add_drive_opts (guestfs_h *g, const char *filename,
data.protocol = drive_protocol_tftp;
drv = create_drive_curl (g, &data);
}
+#endif /* DISABLED IN RHEL 8 */
else {
error (g, _("unknown protocol %s"), protocol);
drv = NULL; /*FALLTHROUGH*/
diff --git a/lib/guestfs.pod b/lib/guestfs.pod
index ff58aa0bb..1af00f1bb 100644
--- a/lib/guestfs.pod
+++ b/lib/guestfs.pod
@@ -715,70 +715,6 @@ servers. The server string is documented in
L</guestfs_add_drive_opts>. The C<username> and C<secret> parameters are
also optional, and if not given, then no authentication will be used.
-=head3 FTP, HTTP AND TFTP
-
-Libguestfs can access remote disks over FTP, FTPS, HTTP, HTTPS
-or TFTP protocols.
-
-To do this, set the optional C<protocol> and C<server> parameters of
-L</guestfs_add_drive_opts> like this:
-
- char **servers = { "www.example.org", NULL };
- guestfs_add_drive_opts (g, "/disk.img",
- GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
- GUESTFS_ADD_DRIVE_OPTS_PROTOCOL, "http",
- GUESTFS_ADD_DRIVE_OPTS_SERVER, servers,
- -1);
-
-The C<protocol> can be one of C<"ftp">, C<"ftps">, C<"http">,
-C<"https"> or C<"tftp">.
-
-C<servers> (the C<server> parameter) is a list which must have a
-single element. The single element is a string defining the web,
-FTP or TFTP server. The format of this string is documented in
-L</guestfs_add_drive_opts>.
-
-=head3 GLUSTER
-
-Libguestfs can access Gluster disks.
-
-To do this, set the optional C<protocol> and C<server> parameters of
-L</guestfs_add_drive_opts> like this:
-
- char **servers = { "gluster.example.org:24007", NULL };
- guestfs_add_drive_opts (g, "volname/image",
- GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
- GUESTFS_ADD_DRIVE_OPTS_PROTOCOL, "gluster",
- GUESTFS_ADD_DRIVE_OPTS_SERVER, servers,
- -1);
-
-C<servers> (the C<server> parameter) is a list which must have a
-single element. The single element is a string defining the Gluster
-server. The format of this string is documented in
-L</guestfs_add_drive_opts>.
-
-Note that gluster usually requires the client process (ie. libguestfs)
-to run as B<root> and will give unfathomable errors if it is not
-(eg. "No data available").
-
-=head3 ISCSI
-
-Libguestfs can access iSCSI disks remotely.
-
-To do this, set the optional C<protocol> and C<server> parameters like
-this:
-
- char **server = { "iscsi.example.org:3000", NULL };
- guestfs_add_drive_opts (g, "target-iqn-name/lun",
- GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
- GUESTFS_ADD_DRIVE_OPTS_PROTOCOL, "iscsi",
- GUESTFS_ADD_DRIVE_OPTS_SERVER, server,
- -1);
-
-The C<server> parameter is a list which must have a single element.
-The single element is a string defining the iSCSI server. The format
-of this string is documented in L</guestfs_add_drive_opts>.
-
=head3 NETWORK BLOCK DEVICE
Libguestfs can access Network Block Device (NBD) disks remotely.
@@ -841,42 +777,6 @@ L<https://bugs.launchpad.net/qemu/+bug/1155677>
=back
-=head3 SHEEPDOG
-
-Libguestfs can access Sheepdog disks.
-
-To do this, set the optional C<protocol> and C<server> parameters of
-L</guestfs_add_drive_opts> like this:
-
- char **servers = { /* optional servers ... */ NULL };
- guestfs_add_drive_opts (g, "volume",
- GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
- GUESTFS_ADD_DRIVE_OPTS_PROTOCOL, "sheepdog",
- GUESTFS_ADD_DRIVE_OPTS_SERVER, servers,
- -1);
-
-The optional list of C<servers> may be zero or more server addresses
-(C<"hostname:port">). The format of the server strings is documented
-in L</guestfs_add_drive_opts>.
-
-=head3 SSH
-
-Libguestfs can access disks over a Secure Shell (SSH) connection.
-
-To do this, set the C<protocol> and C<server> and (optionally)
-C<username> parameters of L</guestfs_add_drive_opts> like this:
-
- char **server = { "remote.example.com", NULL };
- guestfs_add_drive_opts (g, "/path/to/disk.img",
- GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
- GUESTFS_ADD_DRIVE_OPTS_PROTOCOL, "ssh",
- GUESTFS_ADD_DRIVE_OPTS_SERVER, server,
- GUESTFS_ADD_DRIVE_OPTS_USERNAME, "remoteuser",
- -1);
-
-The format of the server string is documented in
-L</guestfs_add_drive_opts>.
-
=head2 INSPECTION
Libguestfs has APIs for inspecting an unknown disk image to find out
diff --git a/tests/disks/test-qemu-drive-libvirt.sh b/tests/disks/test-qemu-drive-libvirt.sh
index 595a95a5e..b49534c94 100755
--- a/tests/disks/test-qemu-drive-libvirt.sh
+++ b/tests/disks/test-qemu-drive-libvirt.sh
@@ -65,34 +65,6 @@ check_output
grep -sq -- '-drive file=rbd:abc-def/ghi-jkl:auth_supported=none,' "$DEBUG_QEMU_FILE" || fail ceph2
rm "$DEBUG_QEMU_FILE"
-# Gluster.
-
-$guestfish -d gluster run ||:
-check_output
-grep -sq -- '-drive file=gluster://1.2.3.4:1234/volname/image,' "$DEBUG_QEMU_FILE" || fail gluster
-rm "$DEBUG_QEMU_FILE"
-
-# iSCSI.
-
-$guestfish -d iscsi run ||:
-check_output
-grep -sq -- '-drive file=iscsi://1.2.3.4:1234/iqn.2003-01.org.linux-iscsi.fedora' "$DEBUG_QEMU_FILE" || fail iscsi
-rm "$DEBUG_QEMU_FILE"
-
-# NBD.
-
-$guestfish -d nbd run ||:
-check_output
-grep -sq -- '-drive file=nbd:1.2.3.4:1234,' "$DEBUG_QEMU_FILE" || fail nbd
-rm "$DEBUG_QEMU_FILE"
-
-# Sheepdog.
-
-$guestfish -d sheepdog run ||:
-check_output
-grep -sq -- '-drive file=sheepdog:volume,' "$DEBUG_QEMU_FILE" || fail sheepdog
-rm "$DEBUG_QEMU_FILE"
-
# Local, stored in a pool.
$guestfish -d pool1 run ||:
diff --git a/tests/disks/test-qemu-drive.sh b/tests/disks/test-qemu-drive.sh
index 12937fb30..b3e4f9903 100755
--- a/tests/disks/test-qemu-drive.sh
+++ b/tests/disks/test-qemu-drive.sh
@@ -62,45 +62,6 @@ check_output
grep -sq -- '-drive file=rbd:abc-def/ghi-jkl:auth_supported=none,' "$DEBUG_QEMU_FILE" || fail
rm "$DEBUG_QEMU_FILE"
-# HTTP.
-
-guestfish <<EOF ||:
- add "/disk.img" "format:raw" "protocol:http" "server:www.example.com"
- run
-EOF
-check_output
-grep -sq -- '-drive file=http://www.example.com/disk.img,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
-
-# Gluster.
-
-guestfish <<EOF ||:
- add "volname/image" "format:raw" "protocol:gluster" "server:www.example.com:24007"
- run
-EOF
-check_output
-grep -sq -- '-drive file=gluster://www.example.com:24007/volname/image,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
-
-# iSCSI.
-
-guestfish <<EOF ||:
- add "target-iqn-name/lun" "format:raw" "protocol:iscsi" "server:www.example.com:3000"
- run
-EOF
-check_output
-grep -sq -- '-drive file=iscsi://www.example.com:3000/target-iqn-name/lun,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
-
-guestfish <<EOF ||:
- add "target-iqn-name/lun" "format:raw" "protocol:iscsi" "server:www.example.com:3000" \
- "username:user" "secret:pass"
- run
-EOF
-check_output
-grep -sq -- '-drive file=iscsi://user%pass@www.example.com:3000/target-iqn-name/lun,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
-
# NBD.
guestfish <<EOF ||:
@@ -118,24 +79,3 @@ EOF
check_output
grep -sq -- '-drive file=nbd:unix:/socket,' "$DEBUG_QEMU_FILE" || fail
rm "$DEBUG_QEMU_FILE"
-
-# Sheepdog.
-
-guestfish <<EOF ||:
- add "volume" "format:raw" "protocol:sheepdog"
- run
-EOF
-check_output
-grep -sq -- '-drive file=sheepdog:volume,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
-
-# SSH.
-
-guestfish <<EOF ||:
- add "/disk.img" "format:raw" "protocol:ssh" "server:example.com" \
- "username:rich"
- run
-EOF
-check_output
-grep -sq -- '-drive file=ssh://rich@example.com/disk.img,' "$DEBUG_QEMU_FILE" || fail
-rm "$DEBUG_QEMU_FILE"
--
2.31.1

View file

@ -1,72 +0,0 @@
From 155063a0c8290eb9c32c552c439cb8023d4a6390 Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Fri, 19 Sep 2014 13:38:20 +0100
Subject: [PATCH 4/6] RHEL: Remove User-Mode Linux (RHBZ#1144197).
This isn't supported in RHEL.
---
lib/launch-uml.c | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/lib/launch-uml.c b/lib/launch-uml.c
index 5aec50a57..8b9fcd770 100644
--- a/lib/launch-uml.c
+++ b/lib/launch-uml.c
@@ -44,7 +44,9 @@ struct backend_uml_data {
char umid[UML_UMID_LEN+1]; /* umid=<...> unique ID. */
};
+#if 0
static void print_vmlinux_command_line (guestfs_h *g, char **argv);
+#endif
/* Run uml_mkcow to create a COW overlay. */
static char *
@@ -81,6 +83,7 @@ create_cow_overlay_uml (guestfs_h *g, void *datav, struct drive *drv)
return make_cow_overlay (g, drv->src.u.path);
}
+#if 0
/* Test for features which are not supported by the UML backend.
* Possibly some of these should just be warnings, not errors.
*/
@@ -133,10 +136,17 @@ uml_supported (guestfs_h *g)
return true;
}
+#endif
static int
launch_uml (guestfs_h *g, void *datav, const char *arg)
{
+ error (g,
+ "launch: In RHEL, only the 'libvirt' or 'direct' method is supported.\n"
+ "In particular, User-Mode Linux (UML) is not supported.");
+ return -1;
+
+#if 0
struct backend_uml_data *data = datav;
CLEANUP_FREE_STRINGSBUF DECLARE_STRINGSBUF (cmdline);
int console_sock = -1, daemon_sock = -1;
@@ -496,8 +506,10 @@ launch_uml (guestfs_h *g, void *datav, const char *arg)
}
g->state = CONFIG;
return -1;
+#endif
}
+#if 0
/* This is called from the forked subprocess just before vmlinux runs,
* so it can just print the message straight to stderr, where it will
* be picked up and funnelled through the usual appliance event API.
@@ -527,6 +539,7 @@ print_vmlinux_command_line (guestfs_h *g, char **argv)
fputc ('\n', stderr);
}
+#endif
static int
shutdown_uml (guestfs_h *g, void *datav, int check_for_errors)
--
2.31.1

View file

@ -1,69 +0,0 @@
From b33e943827b2decc2a01f198f1b300a3c3f6710e Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Tue, 7 Jul 2015 09:28:03 -0400
Subject: [PATCH 5/6] RHEL: Reject use of libguestfs-winsupport features except
for virt-* tools (RHBZ#1240276).
Fix the tests: it doesn't let us use guestfish for arbitrary Windows
edits.
---
generator/c.ml | 16 ++++++++++++++++
test-data/phony-guests/make-windows-img.sh | 1 +
tests/charsets/test-charset-fidelity.c | 2 ++
3 files changed, 19 insertions(+)
diff --git a/generator/c.ml b/generator/c.ml
index ea69abf76..56ee38aa4 100644
--- a/generator/c.ml
+++ b/generator/c.ml
@@ -1846,6 +1846,22 @@ and generate_client_actions actions () =
check_args_validity c_name style;
trace_call name c_name style;
+ (* RHEL 8 *)
+ if name = "mount" || name = "mount_ro" || name = "mount_options" ||
+ name = "mount_vfs" then (
+ pr " if (g->program && !STRPREFIX (g->program, \"virt-\")) {\n";
+ pr " CLEANUP_FREE char *vfs_type = guestfs_vfs_type (g, mountable);\n";
+ pr " if (vfs_type && STREQ (vfs_type, \"ntfs\")) {\n";
+ pr " error (g, \"mount: unsupported filesystem type\");\n";
+ pr " if (trace_flag)\n";
+ pr " guestfs_int_trace (g, \"%%s = %%s (error)\",\n";
+ pr " \"%s\", \"-1\");\n" name;
+ pr " return %s;\n" (string_of_errcode errcode);
+ pr " }\n";
+ pr " }\n";
+ pr "\n";
+ );
+
(* Calculate the total size of all FileIn arguments to pass
* as a progress bar hint.
*)
diff --git a/test-data/phony-guests/make-windows-img.sh b/test-data/phony-guests/make-windows-img.sh
index 30908a918..73cf5144e 100755
--- a/test-data/phony-guests/make-windows-img.sh
+++ b/test-data/phony-guests/make-windows-img.sh
@@ -37,6 +37,7 @@ fi
# Create a disk image.
guestfish <<EOF
+set-program virt-testing
sparse windows.img-t 512M
run
diff --git a/tests/charsets/test-charset-fidelity.c b/tests/charsets/test-charset-fidelity.c
index 105291dc3..5ca4f3b6d 100644
--- a/tests/charsets/test-charset-fidelity.c
+++ b/tests/charsets/test-charset-fidelity.c
@@ -96,6 +96,8 @@ main (int argc, char *argv[])
if (g == NULL)
error (EXIT_FAILURE, 0, "failed to create handle");
+ guestfs_set_program (g, "virt-testing");
+
if (guestfs_add_drive_scratch (g, 1024*1024*1024, -1) == -1)
exit (EXIT_FAILURE);
--
2.31.1

View file

@ -1,33 +0,0 @@
From 18c910479cb6465bcd3954c5d07f3ab6df5c944a Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Tue, 29 Jun 2021 15:29:11 +0100
Subject: [PATCH 6/6] RHEL: Create
/etc/crypto-policies/back-ends/opensslcnf.config
https://bugzilla.redhat.com/show_bug.cgi?id=1977214#c13
---
appliance/init | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/appliance/init b/appliance/init
index b1c4d09ea..be46f9648 100755
--- a/appliance/init
+++ b/appliance/init
@@ -70,6 +70,14 @@ if ! test -e /etc/mtab; then
ln -s /proc/mounts /etc/mtab
fi
+# openssl 3 requires /etc/crypto-policies/back-ends/opensslcnf.config
+# to exist, but it is created in a %post script in crypto-policies
+# https://bugzilla.redhat.com/show_bug.cgi?id=1977214#c13
+if ! test -r /etc/crypto-policies/back-ends/opensslcnf.config &&
+ test -f /usr/share/crypto-policies/DEFAULT/opensslcnf.txt; then
+ ln -s /usr/share/crypto-policies/DEFAULT/opensslcnf.txt /etc/crypto-policies/back-ends/opensslcnf.config
+fi
+
# devtmpfs is required since udev 176
mount -t devtmpfs /dev /dev
mkdir -p /dev/pts
--
2.31.1

View file

@ -1,6 +1,6 @@
--- !Policy
product_versions:
- rhel-9
- rhel-*
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: xen-ci.brew-build.tier1.functional}

File diff suppressed because it is too large Load diff

5
rpminspect.yaml Normal file
View file

@ -0,0 +1,5 @@
# Ignore copy-patches.sh. It is an internal script we use to
# manage the patches.
upstream:
ignore:
- copy-patches.sh

View file

@ -1,2 +1,2 @@
SHA512 (libguestfs-1.45.7.tar.gz) = 16cdfb59077f753908b46a5a7ffcbb5b878cd224fa4a5b87878ebae2c0c3981f0b68f2df2c35c9f44676886922eb9afbcdacb5d6ee2d34b28e053440face7132
SHA512 (libguestfs-1.45.7.tar.gz.sig) = 1a999eba5275821e7013deea3803aa2ad2ebcd082b8f9a978ffce45e23d3f42af4c5e78700914d79804b42530c1cfd629d98b4977fe35bd11ed3f97dad705ea9
SHA512 (libguestfs-1.58.0.tar.gz) = 67abbd37fe64935ae5cca13dbe1860fe2eab9df492fd134eacbdc1831e6034c849855e76118ce0002d3ac83205122947582dbe47b66f12b94dcb51155881501a
SHA512 (libguestfs-1.58.0.tar.gz.sig) = e07758ed3901f9ae95dace16cbb4de194dbbde788155efcde7982226785928d1805af6939f201d74770923ad55997f1d465f9594cb81bc2435c0ea882ce546d8

View file

@ -0,0 +1,10 @@
#!/bin/bash -
set -e
set -x
# This only makes sure that libguestfs isn't totally broken.
# Fix libvirt.
systemctl restart virtqemud virtsecretd virtstoraged virtnetworkd
libguestfs-test-tool

View file

@ -5,9 +5,10 @@
- role: standard-test-basic
tags:
- classic
required_packages:
- libguestfs
- libvirt-daemon-kvm
tests:
- libguestfs-test-tool:
dir: .
run: libguestfs-test-tool
required_packages:
- libguestfs
run: ./run-libguestfs-test-tool.sh